The graph of the caller's notes
GET
/api/v1/saga/graph
const url = 'https://api.yggy.tech/api/v1/saga/graph';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.yggy.tech/api/v1/saga/graph \ --header 'Authorization: Bearer <token>'The 300 most recently updated entities of the caller’s personal workspace and the edges among them.
Authorizations
Section titled “Authorizations ”Responses
Section titled “ Responses ”The graph
Media type application/json
object
nodes
required
Array<object>
object
id
required
string
label
required
string
type
required
string
degree
integer
edges
required
Array<object>
object
id
required
string
source
required
string
target
required
string
predicate
required
string
truncated
required
More entities exist than the first load returns.
boolean
nodeTotal
required
Live entities in the workspace; matches nodes.length when nothing was cut.
integer
Example generated
{ "nodes": [ { "id": "example", "label": "example", "type": "example", "degree": 1 } ], "edges": [ { "id": "example", "source": "example", "target": "example", "predicate": "example" } ], "truncated": true, "nodeTotal": 1}Not a yggy notes workspace
Media type application/json
object
success
required
boolean
error
required
object
code
required
string
message
required
string
details
Example
{ "success": false}Too many graph requests
Media type application/json
object
success
required
boolean
error
required
object
code
required
string
message
required
string
details
Example
{ "success": false}